Subject: bug#78391: closed (Re: bug#78391: 30.0.92; remapped command's docstring still claims to have menu invocation)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 24 May 2025 09:09:02 +0000

Your bug report

#78391: 30.0.92; remapped command's docstring still claims to have menu invocation

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
78391: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=78391
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#78391: 30.0.92; remapped command's docstring still claims to have menu invocation
From: Eli Zaretskii <[email-masked]>
To: [email-masked], [email-masked]
Cc: [email-masked]
Date: Sat, 24 May 2025 12:08:33 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Cc: [email-masked], [email-masked]
> Date: Tue, 13 May 2025 18:55:37 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> > From: Stefan Monnier <[email-masked]>
> > Cc: [email-masked],  [email-masked]
> > Date: Mon, 12 May 2025 13:21:58 -0400
> > 
> > >> It gives a rather redundant text since the same "Without the remapping"
> > >> is used just above for the key bindings.  As a user I'd prefer it
> > >> integrated into that previous sentence to end up with a text along the
> > >> lines of:
> > >>
> > >>     Its keys are remapped to ‘ibuffer’.
> > >>     Without this remapping, it would be bound to C-x C-b
> > >>     and to the menu entry Buffers → List All Buffers
> > >
> > > The problem with this is that there could be additional text
> > > in-between, in which case the sentence would become a mouthful:
> > 
> > Maybe take the "Without this remapping" out of the two sentences
> > into a separate prefixed note, as in:
> > 
> >     Its keys are remapped to ‘ibuffer’; if it weren't for this remapping:
> >     It would be bound to C-x C-b ...
> >     It could also be invoked from the menu: ...
> > 
> > Or maybe:
> > 
> >     It is bound to C-x C-b ...
> >     It can also be invoked from the menu: ...
> >     Note: these bindings do not actually run this command because the
> >     command's bindings are remapped to ‘ibuffer’.
> > 
> > Since I'm no fan of using actual sentences in such things, tho
> > I understand this is the tradition in Emacs (it reminds me of the odd
> > habit in North America of using road signs with text whereas European
> > road signs prefer symbols and pictograms instead), I'd actually prefer
> > something more ... dry like:
> > 
> >     Key bindings: C-x C-b ...
> >     Menu bindings: ...
> >     Remapped to: ‘ibuffer’
> 
> Thanks for the ideas.  They were not trivial to implement without some
> major reshuffling of this delicate code, so I went for something
> simpler:
> 
>   Its keys are remapped to ‘ibuffer’.  Without this remapping, it would
>   be bound to C-x C-b.
>   It could also be invoked from the menu: Buffers → List All Buffers,
>   but that was remapped to ‘ibuffer’as well.
> 
> I hope this is good enough.

No further comments, so I'm now closing this bug.

Subject: 30.0.92; remapped command's docstring still claims to have menu invocation
From: Jake <[email-masked]>
To: [email-masked]
Date: Mon, 12 May 2025 12:19:33 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello

>From emacs -Q, evaluate
  (keymap-global-set "<remap> <list-buffers>" #'ibuffer)
then C-h f list-buffers RET

The docstring includes:

"Its keys are remapped to ‘ibuffer’.  Without this remapping, it would
be bound to C-x C-b.
It can also be invoked from the menu: Buffers → List All Buffers"

It cannot be invoked from the menu as the menu item is also remapped.

Thanks
Jake

In GNU Emacs 30.0.92 (build 1, x86_64-pc-linux-gnu, GTK+ Version
3.24.43, cairo version 1.18.2)
Windowing system distributor 'The X.Org Foundation', version 11.0.12101015
System Description: Guix System

Configured using:
 'configure
 CONFIG_SHELL=/gnu/store/m0xdsa8cfq6mq1kxgxmpmpg71la4f0b9-bash-minimal-5.1.16/bin/bash
 SHELL=/gnu/store/m0xdsa8cfq6mq1kxgxmpmpg71la4f0b9-bash-minimal-5.1.16/bin/bash
 --prefix=/gnu/store/11m3qxg9dc02qm0hv4qsnwdppxic196c-emacs-next-30.0.92-0.881d593
 --enable-fast-install --with-cairo --with-modules
 --with-native-compilation=aot --disable-build-details'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
LCMS2 LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 M17N_FLT MODULES NATIVE_COMP
NOTIFY INOTIFY PDUMPER PNG RSVG SECCOMP SOUND SQLITE3 THREADS TIFF
TOOLKIT_SCROLL_BARS TREE_SITTER X11 XDBE XIM XINPUT2 XPM GTK3 ZLIB

Important settings:
  value of $EMACSLOADPATH:
/home/jake/.guix-profile/share/emacs/site-lisp:/gnu/store/11m3qxg9dc02qm0hv4qsnwdppxic196c-emacs-next-30.0.92-0.881d593/share/emacs/30.0.92/lisp
  value of $LANG: en_AU.utf8
  locale-coding-system: utf-8-unix